petsc-3.12.4 2020-02-04
Report Typos and Errors

# VecMedian

Computes the componentwise median of three vectors and stores the result in this vector. Used primarily for projecting a vector within upper and lower bounds.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecMedian(Vec Vec1, Vec Vec2, Vec Vec3, Vec VMedian)

Logically Collective

### Input Parameters

Vec1, Vec2, Vec3 -The three vectors

### Output Parameter

VMedian -The median vector (this can be any one of the input vectors)

### Level

advanced

### Location

src/vec/vec/utils/projection.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages